package com.jzdsh.auto.biz;

import com.jzdsh.auto.model.Uda;
import lombok.extern.log4j.Log4j2;

/**
 * @ProjectName: auto
 * @Package: com.jzdsh.auto.biz
 * @ClassName: UdaService
 * @Author: Jzdsh
 * @Description: 用户自定义省市县
 * @Date: 2020/3/21 14:53
 * @Version: 1.0
 */
@Log4j2
public class UdaService {

    /**
     * 根据用户id查找
     *
     * @param userId
     * @return
     */
    public Uda getByUserId(int userId) {
        try {
            return Uda.dao.findFirst("select * from uda where userId = ?", userId);
        } catch (Exception e) {
            log.info(e);
        }
        return null;
    }
}
